| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# BinMemInputStream Class Reference

`#include <BinMemInputStream.hpp>`

Inheritance diagram for BinMemInputStream

[legend]
Collaboration diagram for BinMemInputStream:

[legend]
List of all members.

## Public Types

enum | BufOpts { BufOpt_Adopt, BufOpt_Copy, BufOpt_Reference }

## Public Methods

| BinMemInputStream (const XMLByte *const initData,const unsigned int capacity,const BufOpts bufOpt=BufOpt_Copy)
virtual | ~BinMemInputStream ()
void | reset ()
virtual unsigned int | curPos ()const
virtual unsigned int | readBytes (XMLByte *const toFill,const unsigned int maxToRead)

## Member Enumeration Documentation

enum BinMemInputStream::BufOpts

Enumeration values:

  BufOpt_Adopt |
  BufOpt_Copy |
  BufOpt_Reference |

## Constructor & Destructor Documentation

BinMemInputStream::BinMemInputStream ( | const XMLByte *const initData,
| const unsigned int capacity,
| const BufOpts bufOpt = BufOpt_Copy )

virtual BinMemInputStream::~BinMemInputStream ( | )`[virtual]`

## Member Function Documentation

unsigned int BinMemInputStream::curPos ( | ) const`[virtual]`

| Reimplemented from BinInputStream.

virtual unsigned int BinMemInputStream::readBytes ( | XMLByte *const toFill,
| const unsigned int maxToRead )`[virtual]`

| Reimplemented from BinInputStream.

void BinMemInputStream::reset ( | )

The documentation for this class was generated from the following file:

- BinMemInputStream.hpp

Copyright © 2000 The Apache Software Foundation. All Rights Reserved.